﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;

namespace WindowsFormsApplication1
{
    public partial class frmCodBarras : Form
    {
        
        public static string cod;
        public static string cod2;
      
        
        public frmCodBarras()
        {
            InitializeComponent();
            
            
        }

        public void TratarFuncao()
        {
                        
            txtCod.Focus();
                    
        }

        private void btnEnviar_Click(object sender, EventArgs e)
        {
            cod2 = txtCod.Text;

            if (txtCod.Text == "")
            {
                MessageBox.Show("Insira um Código na caixa de texto", "Resposta do Sistema", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button3);
                TratarFuncao();
            }
            if (rdbEAN8.Checked)
            {
                               
                cod=("<ean8>" + txtCod.Text + "</ean8>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
                            
            }
            
            if (rdbCode128.Checked)
            {
                cod=("<code128>" + txtCod.Text + "</code128>");
                
                Sweda.SI300.ImprimirTexto();

                TratarFuncao();

            }

            if (rdbEAN13.Checked)
            {

               
                cod=("<ean13>" + txtCod.Text + "</ean13>");
                
                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
            }

            if (rdbQRCODE.Checked)
            {
                cod=("<qrcode>" + txtCod.Text + "</qrcode>");
                
                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
            
            }

            if (rdbUPCA.Checked)
            {
               

                cod=("<upc-a>" + txtCod.Text + "</upc-a>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();

            }

            if (rdbCODE93.Checked)
            {
               
                cod=("<code93>" + txtCod.Text + "</code93>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
            }

            if (rdbCODE39.Checked)
            {
               
                cod=("<code39>" + txtCod.Text + "</code39>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();

            }

            if (rdbPDF.Checked)
            {
                
                cod=("<pdf>" + txtCod.Text + "</pdf>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();

            }

            if (rdbCodabar.Checked)
            {
                cod = ("<codabar>" + txtCod.Text + "</codabar>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
            
            }
            if (rdbI2of5.Checked)
            {
                cod = ("<i2of5>" + txtCod.Text + "</i2of5>");

                Sweda.SI300.ImprimirTexto();

                TratarFuncao();
            
            }

            

        }

        private void txtCod_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (rdbEAN8.Checked)
            {
                txtCod.MaxLength = 8;
                if (!Char.IsDigit(e.KeyChar) && e.KeyChar != (char)8) // Só aceita numeros.
                {
                    e.Handled = true;
                   
                }
            }

            if (rdbEAN13.Checked)
            {
                
                
                txtCod.MaxLength = 13;
                
                if (!Char.IsDigit(e.KeyChar) && e.KeyChar != (char)8)
                {
                    e.Handled = true;
                    
                }
            }

            if (rdbCode128.Checked)
            {
                txtCod.MaxLength = 12;
            
            }
            if (rdbQRCODE.Checked)
            {

                txtCod.MaxLength = 2000;
            }
           

            if (rdbUPCA.Checked)
            {
                txtCod.MaxLength = 12;
                if (!Char.IsDigit(e.KeyChar) && e.KeyChar != (char)8)
                {
                    e.Handled = true;
                }
            }

            if (rdbCODE93.Checked)
            {
                txtCod.MaxLength = 14;
                            
            }
            if (rdbCODE39.Checked)
            {

                txtCod.MaxLength = 14;
            }
            if (rdbCodabar.Checked)
            {
                txtCod.MaxLength = 14;
            
            }
            if (rdbI2of5.Checked)
            {
                txtCod.MaxLength = 19;
                if (!Char.IsDigit(e.KeyChar) && e.KeyChar != (char)8)
                {
                    e.Handled = true;
                }
            }
                       
            }

        private void txtCod_TextChanged(object sender, EventArgs e)
        {
            if (rdbCODE39.Checked)
            {
                
                txtCod.CharacterCasing = CharacterCasing.Upper;
            
            }
            txtCod.CharacterCasing = CharacterCasing.Normal;
        }

        private void btnVoltar_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void rdbEAN13_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "7899264308112";
        }

        private void rdbEAN8_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "20456788";
            
        }

        private void rdbQRCODE_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "www.sweda.com.br";
        }

        private void rdbUPCA_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "639382000393";
        }

        private void rdbCODE93_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "*SEB*";
        }

        private void rdbCODE39_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "LCD20547";
        }

        private void rdbPDF_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "www.sweda.com.br";
        }

        private void rdbCode128_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "APO1536Z";
        }

        private void btnLimpar_Click(object sender, EventArgs e)
        {
            txtCod.Text = "";
        }

        private void rdbCodabar_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "A3419500A";
        }

        private void rdbI2of5_CheckedChanged(object sender, EventArgs e)
        {
            txtCod.Text = "012345678905";
        }

        

       
                
        }
           
    }


